"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const I18n_1 = require("../modules/I18n");
const path_1 = require("path");
const content_types_1 = require("@ewizardjs/content-types");
function checkReservedComponents(name = (0, path_1.basename)(process.cwd()), data) {
    if (isComponent(data.type) && isVueTag(name)) {
        console.log(` ${I18n_1.default.error('RESERVED_COMPONENT_NAME', name)}`);
        return false;
    }
    return true;
}
exports.default = checkReservedComponents;
function isComponent(contentType) {
    return contentType === content_types_1.ContentTypes.COMPONENT;
}
function isVueTag(tagName) {
    return vueTags.includes(tagName);
}
const vueTags = [
    'component',
    'transition',
    'transition-group',
    'keep-alive',
    'slot',
    'router-view',
    'router-link',
];
//# sourceMappingURL=checkReservedComponents.js.map