"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writePackageJson = void 0;
const fs_extra_1 = require("fs-extra");
const ramda_1 = require("ramda");
const upath_1 = require("@ewizardjs/upath");
function writePackageJson(layoutPath, dest, masterRepoInfo) {
    return __awaiter(this, void 0, void 0, function* () {
        const packageJSON = yield (0, fs_extra_1.readJson)((0, upath_1.join)(layoutPath, 'package.json'));
        const { repoName, repoUrl } = masterRepoInfo;
        const dependencies = {
            ewizardjs: '*',
            [repoName]: `git+ssh://${repoUrl}#master`,
        };
        return (0, fs_extra_1.writeJSON)((0, upath_1.join)(dest, 'package.json'), (0, ramda_1.mergeRight)(packageJSON, { dependencies }), {
            spaces: 2,
        });
    });
}
exports.writePackageJson = writePackageJson;
//# sourceMappingURL=writePackageJson.js.map