"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendWarningAndCancelCommand = exports.destroyBrowserAndServer = exports.createServer = void 0;
const StaticServer_1 = require("./../../modules/StaticServer");
function createServer(presentationPath, settings) {
    return __awaiter(this, void 0, void 0, function* () {
        const server = StaticServer_1.default.create(presentationPath, settings);
        const serverPort = yield server.initialize();
        return { server, serverPort };
    });
}
exports.createServer = createServer;
function destroyBrowserAndServer(puppeteer, server) {
    return __awaiter(this, void 0, void 0, function* () {
        yield Promise.all([puppeteer.closeBrowser(), server.destroy()]);
    });
}
exports.destroyBrowserAndServer = destroyBrowserAndServer;
function sendWarningAndCancelCommand(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const { condition, message, server, puppeteer } = options;
        if (condition) {
            console.warn(message);
            yield destroyBrowserAndServer(puppeteer, server);
        }
        return condition;
    });
}
exports.sendWarningAndCancelCommand = sendWarningAndCancelCommand;
//# sourceMappingURL=utils.js.map