"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const ensureAuth_1 = require("./utils/ensureAuth");
const logger_1 = require("./utils/logger");
const openDocs_1 = require("./utils/openDocs");
commander
    .name('wiz docs')
    .option('--edetailer', 'Open the e-Detailer development guide')
    .option('--email', 'Open the email development guide')
    .option('--site', 'Open the site development guide')
    .parse(process.argv);
docs(commander.opts())
    .catch(logger_1.handleError)
    .finally(logger_1.closeLogger);
function docs(options) {
    return __awaiter(this, void 0, void 0, function* () {
        yield (0, ensureAuth_1.default)();
        yield (0, openDocs_1.openDocs)(options);
    });
}
//# sourceMappingURL=wiz-docs.js.map