"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionsTokenHandler = void 0;
class OptionsTokenHandler {
    constructor(options) {
        this.options = options;
    }
    get() {
        return new Promise((resolve, reject) => {
            try {
                resolve(this.options);
            }
            catch (e) {
                reject(e);
            }
        });
    }
    set(tokens) {
        return new Promise((resolve, reject) => {
            try {
                this.options = tokens;
                resolve();
            }
            catch (e) {
                reject(e);
            }
        });
    }
    clear() {
        return new Promise((resolve, reject) => {
            try {
                delete this.options;
                resolve();
            }
            catch (e) {
                reject(e);
            }
        });
    }
}
exports.OptionsTokenHandler = OptionsTokenHandler;
//# sourceMappingURL=OptionsTokenHandler.js.map