"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.success = exports.fatal = exports.log = void 0;
const chalk = require('chalk');
const format = require('util').format;
const prefix = '   wiz-cli';
const sep = chalk.gray('·');
function log(...args) {
    const msg = format.apply(format, args);
    console.log(chalk.white(prefix), sep, msg);
}
exports.log = log;
function fatal(...args) {
    if (args[0] instanceof Error) {
        args[0] = args[0].message.trim();
    }
    const msg = format.apply(format, args);
    console.error(chalk.red(prefix), sep, msg);
    process.exit(1);
}
exports.fatal = fatal;
function success(...args) {
    const msg = format.apply(format, args);
    console.log(chalk.white(prefix), sep, msg);
}
exports.success = success;
//# sourceMappingURL=logger.js.map