"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackageLockFile = void 0;
const path_1 = require("path");
const fs_extra_1 = require("fs-extra");
const PACKAGE_LOCK = 'package-lock.json';
function getPackageLockFile(cwd) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const packageLockPath = (0, path_1.join)(cwd, PACKAGE_LOCK);
            return yield (0, fs_extra_1.readJson)(packageLockPath);
        }
        catch (error) {
            return undefined;
        }
    });
}
exports.getPackageLockFile = getPackageLockFile;
//# sourceMappingURL=getPackageLockFile.js.map