"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRepoInfo = void 0;
const child_process_1 = require("child_process");
const util_1 = require("util");
const path_1 = require("path");
const execAsync = (0, util_1.promisify)(child_process_1.exec);
function getRepoInfo(path) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const [repoPath, repoUrl] = yield Promise.all([
                execAsync('git rev-parse --show-toplevel', {
                    cwd: path,
                }),
                execAsync('git config --get remote.origin.url', {
                    cwd: path,
                }),
            ]);
            return {
                repoName: (0, path_1.basename)(repoPath.stdout.replace(/\n/g, '')),
                repoUrl: repoUrl.stdout.replace(/\n/g, ''),
            };
        }
        catch (e) {
            throw new Error(`Error in get repo info: ${e}`);
        }
    });
}
exports.getRepoInfo = getRepoInfo;
//# sourceMappingURL=getRepoInfo.js.map